<?
require'config.php';
$tyu='left';
$title='Авторитет';
aut();
head();
list($row, $myid, $ps, $fs1, $fs2) = check_login($link);
if(time()<$row['kik']){
$re = mysql_query("SELECT name FROM rooms where rm = '9'");
$inam = mysql_fetch_array ($re);
$nam = $inam['name'];
$tyu='center';
$title='Стоп!';
head();
echo $fs1;
$tleft = $row['kik'] - time();
$tleft=ceil($tleft/ 60 / 60 / 24);
$whokik = $row['whokik'];
$whykik = $row['whykik'];
echo rowup.'<b>Ошибка!</b>'.div;
echo '<br />Вам запрещенно писать <b>".$tleft." дней</b><br/>';
echo 'Причина: <b>'.$whykik.'</b><br/><br />';
echo menu.'<a href="'.H.'enter.php">На главную</a>'.div;
foot();
exit;
}

$mid = intval(check($mid));

$select = @mysql_query ("Select * from users where id='".$nk."'");
$inf = mysql_fetch_array ($select);
$nick = $inf["user"];
echo menu.'Авторитет <b>'.$inf['user'].'</b>'.div;
$mod = check($mod);
switch($mod) {

case plus:
if ($row['postsf']<150) echo 'У вас недостаточно постов! Необходимо 150 постов на форуме!<br>';
else{
if($error) die(''.$error.'');
if ($myid==$nk){
echo $fs1;
echo 'За себя Вы не можете голосовать!<br/>';
print $fs2;
}else{
mysql_query ("Select * from rating where user='".$nk."' and who='".$myid."'");

if (mysql_affected_rows()!=0){
echo $fs1;
echo 'Вы уже голосовали за <b>".$nick."</b>! Голос не принят.<br/>';
echo $fs2;
} else {
$q = mysql_query("select user,rating from users where id='".$nk."';");
$data = mysql_fetch_array($q);
$counter = $data['rating'];
$login = $data['user'];
$counter2 = $counter+1;
mysql_query ("update users set rating='".$counter2."' where id='".$nk."';");
mysql_query ("INSERT INTO rating SET user = '".$nk."', who = '".$myid."', znak = '1'");
echo $fs1;

$ratp = mysql_fetch_array(mysql_query ("Select COUNT(*) as num from rating where user='".$nk."' and znak = '1'"));
$ratinp = $ratp["num"];

$ratm = mysql_fetch_array(mysql_query ("Select COUNT(*) as num from rating where user='".$nk."' and znak = '0'"));
$ratinm = $ratm["num"];

$ratin = $ratinp-$ratinm;

echo 'Ваш положительный голос за <b>".$nick."</b> успешно принят!<br/>
Всего голосов у него: <b>$ratin</b><br/>
Положительных: <b>$ratinp</b><br />
Отрицательных: <b>$ratinm</b><br />
';

$data = date("d-M-Y [H:i]");
$kol = rand(0,99999999);
$time = time();

$message = "Пользователь <b>".$row['user']."</b> поставил вам плюс!";
mysql_query("Insert into zapiski set klu4='".$kol."', who ='".$row['user']."', idwho ='".$row['id']."', message = '".$message."', towhom = '".$nick."', idtowhom = '".$nk."', time = '".$time."', readd = '0', topic = '', date='".$data."'");

echo $fs2;
}
} }
break;

case minus:
if ($row['postsf']<150) echo 'У вас недостаточно постов! Необходимо 150 постов на форуме!<br>';
else{
if ($myid==$nk){
echo $fs1;
echo 'За себя Вы не можете голосовать!<br/>';
print $fs2;
}else{
mysql_query ("Select * from rating where user='".$nk."' and who='".$myid."'");

if (mysql_affected_rows()!=0){
echo $fs1;
echo 'Вы уже голосовали за <b>".$nick."</b>! Голос не принят.<br/>';
echo $fs2;
} else {
$q = mysql_query("select user,rating from users where id='".$nk."';");
$data = mysql_fetch_array($q);
$counter = $data['rating'];
$login = $data['user'];
$counter2 = $counter-1;
mysql_query ("update users set rating='".$counter2."' where id='".$nk."';");
mysql_query ("INSERT INTO rating SET user = '".$nk."', who = '".$myid."', znak = '0'");
echo $fs1;
$ratp = mysql_fetch_array(mysql_query ("Select COUNT(*) as num from rating where user='".$nk."' and znak = '1'"));
$ratinp = $ratp["num"];

$ratm = mysql_fetch_array(mysql_query ("Select COUNT(*) as num from rating where user='".$nk."' and znak = '0'"));
$ratinm = $ratm["num"];

$ratin = $ratinp-$ratinm;

echo 'Ваш отрицательный голос за <b>".$nick."</b> успешно принят!<br/>
Всего голосов у него: <b>$ratin</b><br/>
Положительных: <b>$ratinp</b><br />
Отрицательных: <b>$ratinm</b><br />
';

$data = date("d-M-Y [H:i]");
$kol = rand(0,99999999);
$time = time();

$message = "Пользователь <b>".$row['user']."</b> поставил вам минус!";
mysql_query("Insert into zapiski set klu4='".$kol."', who ='".$row['user']."', idwho ='".$row['id']."', message = '".$message."', towhom = '".$nick."', idtowhom = '".$nk."', time = '".$time."', readd = '0', topic = '', date='".$data."'");
echo $fs2;
}
}}
break;

case who:
echo $fs1;
echo '<b>Кто отдал голос за <b>".$nick."</b></b><br />';

echo $fs2;
if(empty($s)) $s=0;
$query = mysql_query("select * from rating where user='".$nk."';");
$num_of_rows=mysql_num_rows($query);
$total_mat_number=$num_of_rows;
$max = 10;
$total_ss=ceil($total_mat_number/$max);
$print = mysql_query("select * from rating where user='".$nk."' order by who desc limit ".$s.",".($max).";");
$i = 1+$s;
while($arr = @mysql_fetch_array($print)) {
$usid=$arr["who"];
$whogolos = @mysql_query("select user from users where id=".$usid.";");
$idatas = @mysql_fetch_array($whogolos);
$login=$idatas["user"];
echo $fs1;
echo ($i++).") <a href=\"".H.id($login)."\">".nik($login)."</a><br/>";
echo $fs2;
}
echo $fs1;

echo $fs2;
for ($num=0; $num<$total_ss; $num++){
$s_number=$num*$max;
echo $fs1;
if ($s_number!=$s) {
echo "<a href=\"?go=golos&amp;s=$s_number$takep2\">".($num+1)."</a>|";
} else {
echo "".($num+1)."|";
}
echo $fs2;
}
break;
default:
break;
}
echo $fs1;

echo menu.'<a href=\"enter.php\">На Главную</a>'.div;
foot();
?>
